NX Open C++ Reference Guide
|
Represents a @link Features::SweptVolume Features::SweptVolume@endlink builder <br> To create a new instance of this class, use @link Features::SweepFeatureCollection::CreateSweptVolumeBuilder Features::SweepFeatureCollection::CreateSweptVolumeBuilder @endlink <br>
Default values. More...
Public Types | |
enum | OrientType { OrientTypeNormaltoPath, OrientTypeUserDefined } |
These represent the type of Swept Volume feature to be created. More... | |
enum | StartOrient { StartOrientOriginalPosition, StartOrientUserDefined } |
These represent the start tool body Orientation options for Swept Volume. More... | |
enum | SweepOrient { SweepOrientFollowPath, SweepOrientForcedDirection } |
These represent the tool body Orientation options for Swept Volume. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanData () |
Returns the boolean data Created in NX9.0.0. | |
NXOpen::Direction * | Direction () |
Returns the direction Created in NX9.0.0. | |
NXOpen::Features::SweptVolumeBuilder::OrientType | OrientationType () |
Returns the orientation type Created in NX9.0.0. | |
bool | ReverseToolBodyAxis () |
Returns the reverse tool body axis Created in NX9.0.0. | |
void | SetDirection (NXOpen::Direction *direction) |
Sets the direction Created in NX9.0.0. | |
void | SetOrientationType (NXOpen::Features::SweptVolumeBuilder::OrientType orientationType) |
Sets the orientation type Created in NX9.0.0. | |
void | SetReverseToolBodyAxis (bool reverseToolBodyAxis) |
Sets the reverse tool body axis Created in NX9.0.0. | |
void | SetStartOrientation (NXOpen::Features::SweptVolumeBuilder::StartOrient startOrientation) |
Sets the start orientation Created in NX9.0.0. | |
void | SetStartPoint (NXOpen::Point *startPoint) |
Sets the start point Created in NX9.0.0. | |
void | SetSweepOrientation (NXOpen::Features::SweptVolumeBuilder::SweepOrient sweepOrientation) |
Sets the sweep orientation Created in NX9.0.0. | |
void | SetToolBody (NXOpen::ScCollector *toolBody) |
Sets the tool body Created in NX9.0.0. | |
NXOpen::Features::SweptVolumeBuilder::StartOrient | StartOrientation () |
Returns the start orientation Created in NX9.0.0. | |
NXOpen::Point * | StartPoint () |
Returns the start point Created in NX9.0.0. | |
NXOpen::Features::SweptVolumeBuilder::SweepOrient | SweepOrientation () |
Returns the sweep orientation Created in NX9.0.0. | |
NXOpen::ScCollector * | ToolBody () |
Returns the tool body Created in NX9.0.0. | |
NXOpen::Section * | ToolPath () |
Returns the tool path Created in NX9.0.0. | |
NXOpen::Expression * | ToolPenetration () |
Returns the penetration Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SweptVolume Features::SweptVolume@endlink builder <br> To create a new instance of this class, use @link Features::SweepFeatureCollection::CreateSweptVolumeBuilder Features::SweepFeatureCollection::CreateSweptVolumeBuilder @endlink <br>
Default values.
Property | Value |
---|---|
OrientationType |
UserDefined |
StartOrientation |
OriginalPosition |
SweepOrientation |
ForcedDirection |
ToolPenetration.Value |
0 (millimeters part), 0 (inches part) |
Created in NX9.0.0.
These represent the type of Swept Volume feature to be created.
These represent the start tool body Orientation options for Swept Volume.
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::SweptVolumeBuilder::BooleanData | ( | ) |
Returns the boolean data
Created in NX9.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::SweptVolumeBuilder::Direction | ( | ) |
Returns the direction
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SweptVolumeBuilder::OrientType NXOpen::Features::SweptVolumeBuilder::OrientationType | ( | ) |
Returns the orientation type
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::SweptVolumeBuilder::ReverseToolBodyAxis | ( | ) |
Returns the reverse tool body axis
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::SweptVolumeBuilder::SetDirection | ( | NXOpen::Direction * | direction | ) |
Sets the direction
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
direction | direction |
void NXOpen::Features::SweptVolumeBuilder::SetOrientationType | ( | NXOpen::Features::SweptVolumeBuilder::OrientType | orientationType | ) |
Sets the orientation type
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
orientationType | orientationtype |
void NXOpen::Features::SweptVolumeBuilder::SetReverseToolBodyAxis | ( | bool | reverseToolBodyAxis | ) |
Sets the reverse tool body axis
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseToolBodyAxis | reversetoolbodyaxis |
void NXOpen::Features::SweptVolumeBuilder::SetStartOrientation | ( | NXOpen::Features::SweptVolumeBuilder::StartOrient | startOrientation | ) |
Sets the start orientation
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
startOrientation | startorientation |
void NXOpen::Features::SweptVolumeBuilder::SetStartPoint | ( | NXOpen::Point * | startPoint | ) |
Sets the start point
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
startPoint | startpoint |
void NXOpen::Features::SweptVolumeBuilder::SetSweepOrientation | ( | NXOpen::Features::SweptVolumeBuilder::SweepOrient | sweepOrientation | ) |
Sets the sweep orientation
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sweepOrientation | sweeporientation |
void NXOpen::Features::SweptVolumeBuilder::SetToolBody | ( | NXOpen::ScCollector * | toolBody | ) |
Sets the tool body
Created in NX9.0.0.
License requirements : None
toolBody | toolbody |
NXOpen::Features::SweptVolumeBuilder::StartOrient NXOpen::Features::SweptVolumeBuilder::StartOrientation | ( | ) |
Returns the start orientation
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::SweptVolumeBuilder::StartPoint | ( | ) |
Returns the start point
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SweptVolumeBuilder::SweepOrient NXOpen::Features::SweptVolumeBuilder::SweepOrientation | ( | ) |
Returns the sweep orientation
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SweptVolumeBuilder::ToolBody | ( | ) |
Returns the tool body
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SweptVolumeBuilder::ToolPath | ( | ) |
Returns the tool path
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SweptVolumeBuilder::ToolPenetration | ( | ) |
Returns the penetration
Created in NX9.0.0.
License requirements : None